# Figures and Tables

This folder provides the code used to produce the Figures and Tables from the paper, and demonstrates how to call the functions that produce these figures. It also calculates any new statistics presented in the text.

## Prerequisites
Before running any of the code in this folder, you will first need to:

1. Download the "Analysis" folder,
2. Add "Analysis" (and all its subfolders) to the active Matlab path.
3. Add the "Figures and Tables" folder (and all subfolders) to the active Matlab path

## Contents
The contents of this folder are as follows:

* figuresAndTables.m: This script demonstrates how to call the functions that produce the figures and tables from the paper. It is divided into sections, with each section showing how to produce one of the figures from the paper.

* Figures: This folder contains the functions used to produce the figures, as well as the raw figures themselves. It is divided into several subfolders, each for a different figure. Each subfolder holds the raw file for that figure, as well as the top-level function used to produce the figure. (These top-level functions are the functions demonstrated in `figuresAndTables.m`).

* Tables: This folder contains the functions used to produce the tables. It is divided into subfolders, each for a particular table. Each subfolder holds the top-level function used to produce that table.

* Statistics: This folder contains the functions used to calculate any in-text statistics not presented in a table.

* Utilities: This folder contains various plotting utility codes. These codes are typically used in several of the figures - for example, to plot shaded percentiles, world coastlines, etc.
