function[] = sensorTime(saveFile)

% Parameters
% calFactor = 1.14;
calFactor = 1;
width = 8.5;
height = 3.75;
id = "high_gong_-25";
xlimit = [1 2000];
ylimit = [0 50];
yearHalfWidth = 8;
highlight = {6, sprintf(" Mt. Read,\n Plateau Remote"), 50, 'left';...
             786, "WDC05A", 50, 'right';...
             900, "Oroko", 36, 'center';...
             1000, sprintf("DML07,\nDML17"), 50, 'left';...
             1400, "SADA ", 25, 'right';...
             1417, "Siple Station", 14, 'left';...
             1457, "Pink Pine, NZ", 7, 'left';...
             1500, " ANZDA", 43, 'left';...
             1795, sprintf("Houtman\nAbrolhos"), 32, 'center'};

             

% Get the optimal sensor data and assimilation variances
sensor = load(sprintf('sensor-%s', id));
da = load(id);

% Calculate percent variance convstrained
percVar = 100 * (1 - (da.Avar ./ sensor.iVar));

% New figure
figure('Position', [29 170.33 1184 383.33]);
hold on

% Add highlights. Then overlay text on highlights
ys = [ylimit(1), ylimit(2), ylimit(2), ylimit(1)];
for h = 1:size(highlight,1)
    x1 = highlight{h,1} - yearHalfWidth;
    x2 = highlight{h,1} + yearHalfWidth;
    patch([x1,x1,x2,x2], ys, [0.9876 0.8315 0.7455], 'Edgecolor', 'none');
end
for h = 1:size(highlight,1)
    [x, name, y, align] = highlight{h,:};
    text(x, y, name, 'HorizontalAlignment', align, 'VerticalAlignment', 'top', 'fontsize',20);
end    

% Plot over time steps
years = 1:2000;
plot(years, percVar, 'linewidth', 1);
xlabel('Year (CE)');
ylabel(sprintf('Percent Variance\nConstrained'));
set(gca,'fontsize',20);
ylim(ylimit);
xlim(xlimit);
xticks(0:250:2000);

if nargin>0
    print(saveFile, '-depsc', '-painters');
end


end
