function[] = plotSolarWavelet(saveFile)

%%% Parameters
id = "high_gong_-25";
years = 850:2000;
params = {2, 8, 10, -1, .5, .5};
%%%%


% Do the wavelet plot
% figure('Position', [0 0 886 639.3333]);
figure('Position', [361 159.6667 598 459.3333])
solarWavelet(id, years, params);

% Get the axes handles
fig = gcf;
ax1 = fig.Children(4);
ax2 = fig.Children(2);

% Update the plots
cmap = cbrew('redblue', 20);
cmap = cmap(11:end,:);
colormap(cmap);

set(ax1, 'fontsize', 14, 'clim', [0 2]);
ylim(ax1, [1.5 params{2}+.5]);
yt1 = yticks(ax1);
ylab1 = string(yticklabels(ax1));
yticks(ax1, yt1(2:2:end));
yticklabels(ax1, ylab1(2:2:end));
fig.Children(3).Ticks = 0:.5:2;
fig.Children(3).TickLabels = 0:.5:2;
xlabel(ax1, "Year (CE)");
ylabel(ax1, "Period (years)");


set(ax2, 'fontsize', 14);
ylim(ax2, [1.5 params{2}+.5]);
yt2 = yticks(ax2);
ylab2 = string(yticklabels(ax2));
yticks(ax2, yt2(2:2:end));
yticklabels(ax2, ylab2(2:2:end));
fig.Children(1).TickLabels = ["-\pi", "-\pi/2","0","\pi/2","\pi"];

%% Adjust scaling

delete(ax2);
ax1.Units = 'pixels';
ax1.Position = [73.8000 58.2667 435 370];

% Save
if nargin>0
    print(saveFile, '-depsc', '-painters');
end

end